name: rapidApiDeploy

on:
  workflow_dispatch:

jobs:
  rapid-api-dev-deploy:
    runs-on: ubuntu-latest

    steps:
      - uses: actions/checkout@v2
      - uses: actions/setup-node@v2
        with:
          node-version: '14'
          cache: 'yarn'
          cache-dependency-path: |
            server/yarn.lock
            client/yarn.lock
      - name: Get server packages
        run: |
          node -v
          yarn -v
          cd server
          yarn
      - name: deploy API
        env:
          AWS_ACCESS_KEY_ID_NONPROD_ADMIN: ${{ secrets.AWS_ACCESS_KEY_ID_NONPROD_ADMIN }}
          AWS_SECRET_ACCESS_KEY_NONPROD_ADMIN: ${{ secrets.AWS_SECRET_ACCESS_KEY_NONPROD_ADMIN }}
        run: |
          yarn -v
          cd server
          yarn
          echo building for typescript
          yarn tsc -b src
          echo attempting deploy using $AWS_ACCESS_KEY_ID_NONPROD_ADMIN
          yarn deploy
      - name: API integration tests
        run: |
          cd server
          yarn testdev env
